/*
 * Copyright 2019 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.uberfire.ext.widgets.common.client.common;

import java.util.Objects;

public class BooleanTextBox extends AbstractRestrictedEntryTextBox {

    public BooleanTextBox(final boolean allowEmptyValue) {
        super(allowEmptyValue);
    }

    @Override
    public boolean isValidValue(final String value,
                                final boolean isOnFocusLost) {

        return (!isOnFocusLost && "-".equals(value))
                || (value.trim().isEmpty() && allowEmptyValue)
                || Objects.equals(value.toLowerCase(), Boolean.TRUE.toString())
                || Objects.equals(value.toLowerCase(), Boolean.FALSE.toString());
    }

    @Override
    protected String makeValidValue(final String value) {
        return Boolean.TRUE.toString();
    }
}
